<?php
/*
The main Search file.
*/
$framework = radium_framework();

get_header(); ?>
<div class="row">
	<div id="main" class="twelve columns" role="main">
		<?php 
		
		//before content action hook 
		do_action('radium_before_content'); 
		
		global $query_string;
		
		query_posts( $query_string . '&posts_per_page=-1' );
		
		if ( have_posts() ) : ?>
		
			<div id="post-box">
				        
			<div class="row">
				<div class="twelve columns">
					
					<!-- Posts Results -->		
					 <div class="search_posts">
	                    <h1><?php _e('Posts.', 'radium'); ?></h1>
	                    
			        		<?php 
			        		    // return only our post items
			        		    $i = 0;
			        		    while( have_posts() ) : the_post(); 
			                        if( $post->post_type == 'post' ) { $i++; printf('<div class="search-item"><h4><a href="%1$s">%2$s</a></h4><p>%3$s</p></div>', get_permalink(), get_the_title(), get_the_excerpt()); }
			                    endwhile; ?>
		                
			            <?php if( $i == 0 ) { printf('<p>%s</p>', __('No posts match the search terms', 'radium') ); } ?>
					</div>
					<!-- End Posts Results -->
					
					<!-- Pages Results -->	
					<div class="search_pages">
					    <h1><?php _e('Pages.', 'radium'); ?></h1>
					    
							<?php 
							    // rewind the Pages to filter for pages
							    rewind_posts();
							    $i = 0;
							    while( have_posts() ) : the_post();
							        if( $post->post_type == 'page' ) { $i++; printf('<div class="search-item"><h4><a href="%1$s">%2$s</a></h4><p>%3$s</p></div>', get_permalink(), get_the_title(), get_the_excerpt()); } 
							    endwhile; ?>
						    
						    <?php if( $i == 0 ) { printf('<p>%s</p>', __('No portfolios match the search terms', 'radium') ); } ?>
					</div>
					<!-- End Page Results -->
					
					<?php if( $framework->theme_supports( 'primary', 'portfolio' ) ){ ?>
					
					<!-- Portfolio Results -->	
	                <div class="search_portfolio">
	                    <h1><?php _e('Portfolios.', 'radium'); ?></h1>
	                    
			                <?php 
			                    // rewind the posts to filter for portfolio items
			                    rewind_posts();
			                    $i = 0;
			                    while( have_posts() ) : the_post();
			                        if( $post->post_type == 'portfolio' ) { $i++; printf('<div class="search-item"><h4><a href="%1$s">%2$s</a></h4><p>%3$s</p></div>', get_permalink(), get_the_title(), get_the_excerpt()); }
			                    endwhile; ?>
		                    
		                    <?php if( $i == 0 ) { printf('<p>%s</p>',__('No portfolios match the search terms', 'radium')); } ?>
	                </div>
	          		<!--End Portfolio Results -->
	          		
	          		<?php } ?>
	          		
					<?php if( $framework->theme_supports( 'primary', 'gallery' ) ){ ?>
						<!-- Gallery Results -->	
						<div class="search_gallery">
						    <h1><?php _e('Galleries.', 'radium'); ?></h1>
						    
						        <?php 
						            // rewind the posts to filter for portfolio items
						            rewind_posts();
						            $i = 0;
						            while( have_posts() ) : the_post();
						                if( $post->post_type == 'gallery' ) { $i++; printf('<div class="search-item"><h4><a href="%1$s">%2$s</a></h4><p>%3$s</p></div>',get_permalink(),get_the_title(),get_the_excerpt()); }
						            endwhile;
	 					         ?>
						    
							    <?php if( $i == 0 ) { printf('<p>%s</p>',__('No galleries match the search terms', 'radium')); } ?>
						</div>
						<!--End Gallery Results -->
					<?php } ?>
					
				 </div>
			</div>
		</div>
			
		<?php else : ?>
			 
			<div class="row">
				<div class="page-box entry-content">
					<div id="post-0" class="post no-results not-found">
						<h1 class="entry-search"><?php printf( __('Your search for <em>"%s"</em> did not match any entries','radium'), get_search_query() ); ?></h1> 
						<div class="entry-content">
			    			<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'radium' ); ?></p>
							<?php get_search_form(); ?>
						</div><!-- .entry-content -->
					</div>
				</div>
			</div>
			
		<?php endif; 	
	
		    //after content action hook 
		    do_action('radium_after_content'); 
		?>
	</div><!-- #main -->
</div>
<?php get_footer(); ?>