<?php $postid          = rand(1,10000); //create a random slide id 

//Slider Settings
$transition_effect     = get_post_meta( $post->ID, '_radium_slider_transition', true );
$show_control          = get_post_meta( $post->ID, '_radium_slider_controls', true );
$autoplay              = get_post_meta( $post->ID, '_radium_slider_autoplay', true );
$pause_on_hover        = get_post_meta( $post->ID, '_radium_slider_pause_on_hover', true );
$slideshowSpeed        = get_post_meta( $post->ID, '_radium_slidershow_speed', true );
$animationDuration     = get_post_meta( $post->ID, '_radium_slideranimation_speed', true );

//slider size
$height              = get_post_meta( $post->ID, '_radium_slider_height', true );;
$width               = get_post_meta( $post->ID, '_radium_slider_width', true );;

?>
<div class="row">
	<div class="flexslider-wrapper twelve columns">
		<!-- BEGIN #slider-<?php echo $postid ?>-->
			<div class="slider-wrapper">
				<div class="radium-slider slide-<?php echo $postid ?>">
					<div id="slider-<?php echo $postid ?>" class="flexslider slider-<?php echo $postid ?>">
						<ul id="<?php echo $postid ?>" class="slides loading">
						<?php $slides = get_post_meta( $post->ID, '_radium_slider_slides', false );
							if( !$slides || !$slides[0] )
								return;
							foreach ( $slides[0] as $slide ) : ?>
								<li class="slide">
									
									<?php 
									
									$embed = $slide['slide-video-embed'];
									if( !empty($embed) ) {
										echo "<div class='video-frame'>";
									    	echo stripslashes(htmlspecialchars_decode($embed));
									    echo "</div>";
									} else { ?>
									
 	    								<?php if( $slide['slide-link-url'] ) { ?><a href="<?php echo $slide['slide-link-url']; ?>" <?php if ($slide['slide-link-target'] == 1) { ?> target="_blank" <?php } ?>><?php } ?>
											<img src="<?php echo $slide['slide-img-src']; ?>" alt="<?php echo $post->post_title; ?>" class="slide-image" /> 
										<?php if( $slide['slide-link-url'] ) { ?></a><?php } ?>	
										
										<?php if( !empty( $slide['slide-content-title'] ) || !empty( $slide['slide-content'] )  ) { ?>
											<div class="slide-content-container hide-for-small">
								    	    	<article class="slide-content">
								    	    		<header>
														<?php if( !empty( $slide['slide-title'] ) ) { ?>
															<h2><?php echo $slide['slide-title']; ?></h2>
									    	    		<?php } ?>		
													<?php if( !empty( $slide['slide-content'] ) ) { ?>
								    	    			<div class="entry">
								    	    				<?php  echo do_shortcode( $slide['slide-content'] ) ; ?>
								    	    			</div>
								    	    		<?php } ?>		
								    	    		</header>
								    	    	</article>
											</div>
										<?php }
									
									} ?>		
								
								</li><!-- end .slide -->
							<?php endforeach; ?>
						</ul>
					</div>
				</div>
			</div><!-- END #slider-$postid -->
		</div>
	</div>	
		<script type="text/javascript">
			jQuery(document).ready(function($){
			
				$(".slider-<?php echo $postid ?>").flexslider({
					animation: "<?php if($transition_effect == 'fade'){ echo 'fade'; } else { echo 'slide'; } ?>", //String: Select your animation type, "fade" or "slide"
					slideDirection: "<?php if($transition_effect == 'slide-vertical'){ echo 'vertical'; } else { echo 'horizontal'; } ?>",   //String: Select the sliding direction, "horizontal" or "vertical"
					slideshow: <?php if($autoplay ){ echo 'true'; } else{ echo 'false'; } ?>, //Boolean: Animate slider automatically
					slideshowSpeed: <?php if($slideshowSpeed){ echo $slideshowSpeed; } else { echo '6000'; } ?>, //Integer: Set the speed of the slideshow cycling, in milliseconds
					animationDuration: <?php if($animationDuration){ echo $animationDuration; } else { echo '1000'; } ?>, //Integer: Set the speed of animations, in milliseconds
					directionNav: <?php if($show_control == '0' ){ echo 'false'; } else { echo 'true'; } ?>, //Boolean: Create navigation for previous/next navigation? (true/false)
					controlNav: false, //Boolean: Create navigation for paging control of each slide? Note: Leave true for manualControls usage
					keyboardNav: true, //Boolean: Allow slider navigating via keyboard left/right keys
					mousewheel: false, //Boolean: Allow slider navigating via mousewheel
					pausePlay: false, //Boolean: Create pause/play dynamic element
					randomize: false,//Boolean: Randomize slide order
					animationLoop: true,//Boolean: Should the animation loop? If false, directionNav will received "disable" classes at either end
					pauseOnAction: false,//Boolean: Pause the slideshow when interacting with control elements, highly recommended.
					pauseOnHover: <?php if($pause_on_hover == '1' ){ echo 'true'; } else { echo 'false'; } ?>,//Boolean: Pause the slideshow when hovering over slider, then resume when no longer hovering
					controlsContainer: ".radium-slider",//Selector: Declare which container the navigation elements should be appended too. Default container is the flexSlider element. Example use would be ".flexslider-container", "#container", etc. If the given element is not found, the default action will be taken.
					easing: "easeInCubic",
										
				 });
				 
  				 $('.radium-slider.slide-<?php echo $postid ?>, .post-slider').hover(function(){
				 	$('.flex-pauseplay span, .radium-slider.slide-<?php echo $postid ?> .flex-direction-nav li a',this).stop().fadeTo(500, .6);
				 	}, function() {
				 	$('.flex-pauseplay span, .radium-slider.slide-<?php echo $postid ?> .flex-direction-nav li a',this).stop().fadeTo(500, 0);
				 });
				 
				 $('.slider-<?php echo $postid ?> ul.slides').removeClass('loading');
				 
			});
		</script>